\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - Kinetic Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Multi_listener< Interface > Class Template Reference
Other Classes

`#include <CGAL/Kinetic/Multi_listener.h>`

## Definition

The class `Multi_listener` implements a base class for listeners where more than one listener is allowed to subscribe to a notifier.

See `Listener` for full documentation. This uses the function calls `new_listener()` and `delete_listener()` to register and unrester the listener (instead of `set_listener()`).

See Also
  `Listener<Interface>`